aboutsummaryrefslogtreecommitdiffstats
path: root/git-sh-setup.sh
diff options
context:
space:
mode:
authorNguyễn Thái Ngọc Duy <pclouds@gmail.com>2007-10-27 14:47:21 +0700
committerJunio C Hamano <gitster@pobox.com>2007-10-29 21:14:11 -0700
commit6b9ff1e3bd089d1bef211ba74c12e056810755b8 (patch)
treea0e447b236aa8f38888d75b147174c3e2df3efa4 /git-sh-setup.sh
parent09149c7809a37a52b38d8d7a0621e2fb8943d8fe (diff)
downloadgit-6b9ff1e3bd089d1bef211ba74c12e056810755b8.tar.gz
git-sh-setup.sh: use "git rev-parse --show-cdup" to check for SUBDIRECTORY_OK
"git rev-parse --git-dir" trick does not play well with worktree Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-xgit-sh-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 3c325fd133..86d7d4c4e7 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -110,7 +110,7 @@ esac
if [ -z "$SUBDIRECTORY_OK" ]
then
: ${GIT_DIR=.git}
- GIT_DIR=$(GIT_DIR="$GIT_DIR" git rev-parse --git-dir) || {
+ test -z "$(git rev-parse --show-cdup)" || {
exit=$?
echo >&2 "You need to run this command from the toplevel of the working tree."
exit $exit